artdaq - Feature #25405

Add names to threads to help debug performance issues
01/15/2021 08:53 AM - Eric Flumerfelt

Status: Closed Start date: 01/15/2021

Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 50%

Category: Estimated time: 0.00 hour

Target version: artdaq v3_09_05

Experiment: - Co-Assignees: Ron Rechenmacher
Description

An artdaq process starts a number of threads, and it would be useful to set the names of these threads so that a user can use top in
thread mode to more accurately diagnose where an artdaq process is spending its time.

History

#1 - 01/15/2021 09:02 AM - Eric Flumerfelt

- Status changed from New to Resolved

feature/25405_ThreadName branches in artdaq, artdag-core, artdag-utilities, mf-extensions-git

#2 - 02/24/2021 02:48 PM - Ron Rechenmacher
- % Done changed from 0 to 50

Partially reviewed.

| discussed with Eric and made a tweak to the snprintf usage.

There are 4 packages involved: artdaq, artdaq_core, artdag_mfextensions, and artdaq_ utilities.
| merged artdag_mfextensions into develop.

| pushed my changes to the other 3 branches.

#3 - 02/24/2021 03:49 PM - Eric Flumerfelt
- Status changed from Resolved to Reviewed

- Co-Assignees Ron Rechenmacher added

Reviewed Ron's changes and merged to develop.

#4 - 03/01/2021 12:55 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_05

- Status changed from Reviewed to Closed
